Skip to main content
GET
/
v1
/
analysis-types
/
{analysisTypeId}
Read Analysis Type
curl --request GET \
  --url https://localtest.mindbridge.ai/api/v1/analysis-types/{analysisTypeId} \
  --header 'Authorization: Bearer <token>'
{
  "version": 123,
  "id": {},
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "name": "<string>",
  "interimName": "<string>",
  "description": "<string>",
  "accountMappingRequired": true,
  "fundSupported": true,
  "interimSupported": true,
  "periodicSupported": true,
  "archived": true,
  "maxPeriod": 123,
  "sourceConfigurations": [
    {
      "sourceTypeId": {},
      "sourceScope": "CURRENT_PERIOD",
      "required": true,
      "postAnalysis": true,
      "interimOnly": true,
      "disableForInterim": true,
      "allowMultiple": true,
      "allowMultipleForPeriodic": true,
      "alternativeRequiredSourceTypes": [
        {}
      ],
      "tracksAdditionalDataEntries": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

analysisTypeId
string
required

Response

OK

version
integer<int64>
required

Data integrity version to ensure data consistency.

id
object

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.

name
string

The name of the analysis type.

interimName
string

The name of the analysis type when the analysis uses an interim time frame.

description
string

The description of the analysis type.

accountMappingRequired
boolean

Indicates whether or not account mapping must be performed.

fundSupported
boolean

Indicates whether or not the analysis supports restricted and unrestricted funds.

interimSupported
boolean

Indicates whether or not the analysis supports the interim time frame.

periodicSupported
boolean

Indicates whether or not the analysis supports the periodic time frame.

archived
boolean

Indicates whether or not the analysis type has been archived.

maxPeriod
integer<int32>

A configuration value for the max analysis period.

sourceConfigurations
Source Configuration · object[]

A list of analysis source configurations that can be imported into the analysis, as determined by the analysis type.